<template>
	<div style="margin: 0;">
		<el-container style="height: 100vh; box-sizing: border-box;">
	
		  <el-aside width="200px" style="background-color: rgb(238, 241, 246); ">
			<div style="width: 100%;height: 60px;"></div>
		    <el-menu default-active="1"  @select="handleSelect">
				<el-menu-item index="0">
				  <i class="el-icon-menu"></i>
				  <span slot="title">首页</span>
				</el-menu-item>
				
				
		      <el-submenu index="1">
				 <template slot="title">
				           <i class="el-icon-menu"></i>
				           <span>项目管理</span>
				         </template>
		        <el-menu-item-group>
		          <el-menu-item index="1-1">信息广场</el-menu-item>
		          <el-menu-item index="1-2">项目总览</el-menu-item>
		          <el-menu-item index="1-3">项目分析</el-menu-item>
		          <el-menu-item index="1-4">归档报告</el-menu-item>
		        </el-menu-item-group>
		      
		      </el-submenu>
				<el-menu-item index="2">
				  <i class="el-icon-menu"></i>
				  <span slot="title">任务管理</span>
				</el-menu-item>
					
		      
		    </el-menu>
		  </el-aside>
		  
		  <el-container>
			
			 
		    <el-header style="text-align: right; font-size: 15px;padding-right: 40px;">
				<i class="el-icon-user-solid"></i>
				<span>admin</span>
		    </el-header>
		    
		    <el-main>
				<router-view></router-view>
		    </el-main>
		  </el-container>
		</el-container>
	</div>
  
</template>



<script>

export default {
  data() {

		return {
			breadcrumbItems:[],
		}
  },
  methods: {
	  handleSelect(key, keyPath){
	          switch(key){
	            case '0':
					this.$router.push('/mine');
					this.breadcrumbItems = ["首页"];
	              break;
				  case '1-1':
					this.$router.push('/square');
					this.breadcrumbItems = ["广场"];
	              break;
	            case '2':
	              this.$router.push('/project')
	            	this.breadcrumbItems = ["首页"];
	              break;
	            case '3':
	              this.$router.push('/Page3')
	             
	              break;
	          }
	        },

  }
};
</script>

<style>
  .el-header {
    background-color: #409EFF;
    color: #333;
    line-height: 60px;
  }
  
  .el-aside {
    color: #333;
  }
</style>